Page MenuHomePhabricator

Replace "Tag filter" input with a dropdown+lookup widget in RCFilters
Closed, ResolvedPublic20 Story Points

Description

As a first step towards implementing the tags portion of T159942: Explore designs for including filtering for users, edit tags, and namespaces, replace the "tag filter" input field with a widget that allows you to look up and select multiple tags.

You should be able to look up tags both by their internal name and their display name (see "Tag name" and "Appearance on change lists" respectively on Special:Tags). This is important because the current input only recognizes the internal names, but the interface uses display names everywhere. Also, the internal names for software-defined tags are always in English, which is a problem for non-English-speaking wikis (AbuseFilter-defined tags, however, generally will have an internal name in the local language, which means this isn't even consistent).

Selections of multiple tags will be ORed, not ANDed, for the time being, because that's easier to implement.

Screenshots from plwiki that illustrate this problem:


Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2017, 9:34 PM
Catrope renamed this task from Make Tag filter usage user friendly to Replace "Tag filter" input with a dropdown+lookup widget in RCFilters.Apr 28 2017, 11:52 PM
Catrope updated the task description. (Show Details)
Catrope set the point value for this task to 20.

Change 356056 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] [wip] RCFilters: Add edit tags drop down

https://gerrit.wikimedia.org/r/356056

Change 356056 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Add edit tags drop down

https://gerrit.wikimedia.org/r/356056

Tag filter allows to search for

  • Tags names that are displayed in the drop-down tag list, allowing to enter tag names in other languages

  • for a partial tag name
  • for software-defined tags (e.g. visualeditor will bring the following tag suggestions:

  • multiple tag selection is allowed

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Jul 3 2017, 11:42 PM